summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Johannes Schoepfer <slackbuilds@schoepfer.info>2022-05-04 14:41:10 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-05-07 13:59:34 +0700
commitd5767d73e99412c91bf3703a2220969e5a78e3b5 (patch)
treea009f60b91b5714d7210419c665e2eec2eef817b
parent4943552c400333a3492c44998cac5d5dd72abf0a (diff)
downloadslackbuilds-d5767d73e99412c91bf3703a2220969e5a78e3b5.tar.gz
slackbuilds-d5767d73e99412c91bf3703a2220969e5a78e3b5.tar.xz
games/opensurge: Added (2D retro platformer)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/opensurge/README7
-rw-r--r--games/opensurge/doinst.sh3
-rw-r--r--games/opensurge/opensurge.SlackBuild104
-rw-r--r--games/opensurge/opensurge.info10
-rw-r--r--games/opensurge/slack-desc19
5 files changed, 143 insertions, 0 deletions
diff --git a/games/opensurge/README b/games/opensurge/README
new file mode 100644
index 0000000000..15bfc2da91
--- /dev/null
+++ b/games/opensurge/README
@@ -0,0 +1,7 @@
+Open Surge is a fun 2D retro platformer inspired by Sonic games and a
+game creation system that lets you unleash your creativity!
+Open Surge is two projects in one: a game and a game creation system
+(game engine). It is released as free and open source software.
+
+Open Surge is written from the ground up in C language, using the
+Allegro game programming library.
diff --git a/games/opensurge/doinst.sh b/games/opensurge/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/opensurge/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/opensurge/opensurge.SlackBuild b/games/opensurge/opensurge.SlackBuild
new file mode 100644
index 0000000000..c16388f437
--- /dev/null
+++ b/games/opensurge/opensurge.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/bash
+
+# Slackware build script for opensurge
+
+# Copyright 2022 Johannes Schoepfer, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=opensurge
+VERSION=${VERSION:-0.5.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE *.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/opensurge/opensurge.info b/games/opensurge/opensurge.info
new file mode 100644
index 0000000000..941092c838
--- /dev/null
+++ b/games/opensurge/opensurge.info
@@ -0,0 +1,10 @@
+PRGNAM="opensurge"
+VERSION="0.5.2.1"
+HOMEPAGE="https://opensurge2d.org"
+DOWNLOAD="https://github.com/alemart/opensurge/archive/v0.5.2.1/opensurge-0.5.2.1.tar.gz"
+MD5SUM="7f5499c59e7ec5a888a94f558c6b42c8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="allegro surgescript"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds@schoepfer.info"
diff --git a/games/opensurge/slack-desc b/games/opensurge/slack-desc
new file mode 100644
index 0000000000..792c78ae8d
--- /dev/null
+++ b/games/opensurge/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+opensurge: opensurge (2D retro platformer)
+opensurge:
+opensurge: Open Surge is a fun 2D retro platformer inspired by Sonic games and a
+opensurge: game creation system that lets you unleash your creativity!
+opensurge: Open Surge is two projects in one: a game and a game creation system
+opensurge: (game engine). It is released as free and open source software.
+opensurge:
+opensurge: Open Surge is written from the ground up in C language, using the
+opensurge: Allegro game programming library.
+opensurge:
+opensurge: https://opensurge2d.org/